Skip to main content
DELETE
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
/
grants
Remove a grant from a dataset's existing sequence of grants
curl --request DELETE \
  --url https://api.example.com/api/datasetrw/v1/datasets/{datasetId}/grants \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "targetId": "<string>"
}
'
{
  "grants": [
    {
      "targetId": "<string>"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

datasetId
string
required

ID of dataset to remove the grant from

Body

application/json

Grant to remove

targetId
string
required

ID of the user within the grant

targetRole
enum<string>
required

Role that the user will assume in the dataset. Note that organizations cannot be dataset Owners

Available options:
DatasetRwOwner,
DatasetRwEditor,
DatasetRwReader

Response

Success

grants
object[]
required
metadata
object
required